package jp.co.intra_mart.journal.sample.event.handler;

import jp.co.intra_mart.common.platform.log.Logger;
import jp.co.intra_mart.foundation.journal.event.JournalEvent;
import jp.co.intra_mart.foundation.journal.handler.JournalEventHandler;

// JournalEventHandler インタフェースを実装したクラスを作成することで、イベントの登録を検知できる
public class JournalEventHandlerSample implements JournalEventHandler {

    private static final Logger LOGGER = Logger.getLogger(JournalEventHandlerSample.class);

    private static final String application = "*";

    // イベントの登録を検知するアプリケーションを指定
    // "*"を返却することで、すべてのアプリケーションに対して実行される
    @Override
    public String getApplication() {
        return application;
    }

    // イベントの登録を検知した際に実行される処理
    @Override
    public void onRegisterJournalEvent(final JournalEvent event) {
        LOGGER.info(event.toString());
    }
}